org.eclipse.ui.texteditor

## Class AnnotationTypeLookup

- java.lang.Object
- - org.eclipse.ui.texteditor.AnnotationTypeLookup

    public final class AnnotationTypeLookup
    extends Object

Provides the strategy for determining annotation types for given markers.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`AnnotationTypeLookup()` Creates a new annotation lookup object.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAnnotationType(IMarker marker)` Computes the annotation type that corresponds to the state of the given marker.
`String` `getAnnotationType(String markerType, int markerSeverity)` Computes the annotation type that corresponds to the given marker type and the given marker severity.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationTypeLookup

    public AnnotationTypeLookup()

Creates a new annotation lookup object.

### Method Detail

#### getAnnotationType

    public String getAnnotationType(IMarker marker)

Computes the annotation type that corresponds to the state of the given marker.

Parameters:
  `marker` - the marker
Returns:
  the annotation type or `null`

#### getAnnotationType

    public String getAnnotationType(String markerType,
                                    int markerSeverity)

Computes the annotation type that corresponds to the given marker type and the given marker severity.

Parameters:
  `markerType` - the marker type
  `markerSeverity` - the marker severity
Returns:
  the annotation type or `null`